Get workspace by ID
curl --request GET \
--url https://api.poelis.com/v1/public/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/workspaces/{workspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Aerospace Engineering",
"readable_id": "aerospace-engineering"
}{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Workspaces
Get workspace by ID
Retrieve a single workspace by its unique identifier.
Overview
Returns detailed information about a specific workspace, including its metadata and organization association.
GET
/
v1
/
public
/
workspaces
/
{workspace_id}
Get workspace by ID
curl --request GET \
--url https://api.poelis.com/v1/public/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/workspaces/{workspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Aerospace Engineering",
"readable_id": "aerospace-engineering"
}{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Authorizations
Enter your API key. Example: Bearer poelis_api_...